ru.bitel.bgbilling.modules.sorm.server.event

## Class SormUploadEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.sorm.server.event.SormUploadEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SormUploadEvent
      extends LocalEvent

  Событие о выгрузке файлов на СОРМ для возможности переопределения и пользовательской реализации выгрузки в дин.коде
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SormUploadEvent(int mid, SormProject sormProject, boolean isFullUpload)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SormProject` | `getSormProject()`
    `ru.bitel.bgbilling.modules.sorm.server.upload.Upload` | `getUploadVersion()`
    `boolean` | `isFullUpload()`
    `void` | `setUploadVersion(ru.bitel.bgbilling.modules.sorm.server.upload.Upload uploadVersion)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SormUploadEvent

          public SormUploadEvent(int mid,
                                 SormProject sormProject,
                                 boolean isFullUpload)

  - ### Method Detail

    - #### getSormProject

          public SormProject getSormProject()

    - #### getUploadVersion

          public ru.bitel.bgbilling.modules.sorm.server.upload.Upload getUploadVersion()

    - #### setUploadVersion

          public void setUploadVersion(ru.bitel.bgbilling.modules.sorm.server.upload.Upload uploadVersion)

    - #### isFullUpload

          public boolean isFullUpload()